<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 58.30</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>


    <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <!-- Import Datatable sau jquery -->
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body>
    <div class="container">
        <h1 class="text-center">Danh Sách hàng hóa</h1>
        <table id="table-user" class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>Tên Sản Phẩm</th>
                    <th>Mã Sản Phẩm</th>
                    <th>đơn giá</th>
                    <th>ngày tạo</th>
                    <th>ngày cập nhập</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
    
</body>
<script>
    $(document).ready(function(){
        var table =$("#table-user").DataTable({
            "columns" : [
                {"data" : "id"},
                {"data" : "tenSanPham"},
                {"data" : "maSanPham"},
                {"data" : "price"},
                {"data" : "ngayTao"},
                {"data" : "ngayCapNhat"}
            ]
        })

    $.ajax({
        url: "http://localhost:8080/production",
        type: "GET",
        dataType: "Json",
        success: function (success){
            table.clear();
            table.rows.add(success);
            table.draw();
        },
        error: function(error){
            console.log(error.responseText);
        }
    });
});
</script>
</html>